位置 : 首页 > 经验分享 > MYSQL > Error: mysql-devel conflicts with MySQL-devel-comm

Error: mysql-devel conflicts with MySQL-devel-comm

时间:2018-05-18   收藏
解决方法: [root@dc/etc/yum.repos.d]# rpm -qa|grep -i mysql MySQL-devel-community-5.1.58-1.rhel4 [root@dc/etc/yum.repos.d]# rpm -e MySQL-devel-community

CentOS 5.5 系统安装使用 yum 安装 mysql 报如下错误:


[root@dc/etc/yum.repos.d]# yum install -y mysql* 

Loaded plugins: fastestmirror

Loading mirror speeds from cached hostfile

 * base: mirrors.btte.net

 * extras: mirrors.btte.net

 * updates: mirrors.btte.net

Setting up Install Process

Resolving Dependencies

--> Running transaction check

---> Package mysql.i386 0:5.0.95-1.el5_7.1 set to be updated

---> Package mysql.x86_64 0:5.0.95-1.el5_7.1 set to be updated

---> Package mysql-bench.x86_64 0:5.0.95-1.el5_7.1 set to be updated

---> Package mysql-connector-odbc.x86_64 0:3.51.26r1127-2.el5 set to be updated

--> Processing Dependency: libodbcinst.so.1()(64bit) for package: mysql-connector-odbc

---> Package mysql-connector-odbc64.x86_64 0:5.1.8-1.el5 set to be updated

--> Processing Dependency: libodbcinst.so.2()(64bit) for package: mysql-connector-odbc64

---> Package mysql-devel.i386 0:5.0.95-1.el5_7.1 set to be updated

---> Package mysql-devel.x86_64 0:5.0.95-1.el5_7.1 set to be updated

---> Package mysql-server.x86_64 0:5.0.95-1.el5_7.1 set to be updated

--> Processing Dependency: perl-DBD-MySQL for package: mysql-server

---> Package mysql-test.x86_64 0:5.0.95-1.el5_7.1 set to be updated

--> Running transaction check

---> Package perl-DBD-MySQL.x86_64 0:3.0007-2.el5 set to be updated

---> Package unixODBC-libs.x86_64 0:2.2.11-10.el5 set to be updated

---> Package unixODBC64-libs.x86_64 0:2.2.14-3.el5 set to be updated

--> Processing Conflict: mysql-devel conflicts MySQL-devel

--> Processing Conflict: mysql-devel conflicts MySQL-devel

--> Finished Dependency Resolution

mysql-devel-5.0.95-1.el5_7.1.i386 from updates has depsolving problems

  --> mysql-devel conflicts with MySQL-devel-community

mysql-devel-5.0.95-1.el5_7.1.x86_64 from updates has depsolving problems

  --> mysql-devel conflicts with MySQL-devel-community

Error: mysql-devel conflicts with MySQL-devel-community

 You could try using --skip-broken to work around the problem

 You could try running: package-cleanup --problems

                        package-cleanup --dupes

                        rpm -Va --nofiles --nodigest

The program package-cleanup is found in the yum-utils package


 


解决方法:



[root@dc/etc/yum.repos.d]#  rpm -qa|grep -i mysql 

MySQL-devel-community-5.1.58-1.rhel4

[root@dc/etc/yum.repos.d]# rpm -e  MySQL-devel-community 


keywords: mysql-devel conflicts MySQL-devel-community


    浏览排行榜
    最新文字信息
返回顶部 关注新浪微博 关注腾讯微博